Congratulations on installing the ICS08GPZ development package for use with
the AVNET M68HC908GP32 Reference Design. This package will help you work with
the AVNET board to get a feel for the power of the M68HC908GP32 microcontroller.

With this software package in conjuction with the AVNET board, you will be able
to edit code, assemble to an object file, simulate the code, program the code
into flash resident on the MCU, and perform limited real-time debugging with
the M68HC908GP32 MCU.

The WinIDE editing environment is where the editing and assembling process
takes place. Simply push the F4 hotkey or use the toolbar button to
assemble the currently selected file. Any errors will be immediately
highlighted for you to fix.

The next step is simulation. The In-circuit simulator is a tool which
will allow you to simulate the 68HC908GP32 device. All instructions,
interrupts, and peripherals are simulated. When run with the AVNET
development board, the simulator I/O occurs through the board itself.
Any inputs to the MCU are read from the board, and any simulator outputs
are driven on the MCU headers of the target board. For instance, if your
code turns the A/D converter on, and reads one of the channels, the voltage
which shows up in the simulator will be what is on the actual input pin. Note
that your code is never run on the device itself, only inputs and outputs
from the real world come through the board. One thing you will note is that
simulation occurs much slower than on the real part. The SCI and SPI
signals will, however, operate based on the 4.9152MHZ OSCILLATOR on the board.
The main advantage of the simulator is that you can test out code algorithms, and
closely monitor (cycle by cycle) the operation of your code and the peripherals.
The WinIDE Hotkey to run the ICS08GPZ In-Circuit Simulator is F6.

If you want to run your code in real-time, you have two possible approaches.
You can either load it into the internal RAM of the 68HC908GP32, or
you can program it into the flash of the 68HC908GP32.

The PROG08SZ flash programmer allows you to program flash from an object file.
You can also erase, blank check, verify, upload, and byte program the flash. The
PROG08SZ flash programmer is a general purpose programmer which allows any
68HC08 device with on-chip flash to be programmed. When the programmer starts up,
it will ask you for the algorithm you wish to use during programming. For the
68HC908GP32 MCU, the proper algorithm is 908_GP32.08P. Simply select the srecord
object you wish to program using the SS command, and then choose program
module. The WinIDE Hotkey to run the PROG08SZ flash programmer is F7.

The ICD08SZ In-Circuit debugger has a user interface which is very similiar in
appearance and command set to the ICS08GPZ in-circuit simulator. The main
difference is that with the ICD08SZ, you are modifying the device itself - not
a simulated model. There are many restrictions to the real-time debugging, and
before proceding, you should carefully read the limitations section in the
ICD08SZ help file.  Given these limitations, you can do many things with the
ICD08SZ In-Circuit Debugger.  You can load code into the on-chip RAM. You can
run code out of RAM or FLASH. You can set many software breakpoints and a single
hardware (meaning in flash) breakpoint. The main advantage you get using the
ICD08SZ is that your code will run at the full 2.4576MHZ BUS speed of the
processor. The WinIDE Hotkey to run the ICD08SZ in-circuit debugger is F8.

P&E has some assembly source code available on the web at http://www.pemicro.com
which demonstrates usage of peripherals on the GP32. Come visit us!

The ICS08GP32 development kit, available from Motorola distributers such as AVNET,
is the next logical step in the development process. This board allows both
in-circuit emulation, in-circuit programming, and in-circuit debugging with your
own hardware. The part number for the kit is M68ICS08GP32.

